Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2870323002: Add parsing for RFC 5280's InhibitAnyPolicy. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 2 weeks ago by eroman
Modified:
1 month ago
Reviewers:
mattm
CC:
chromium-reviews, cbentzel+watch_chromium.org, net-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add parsing for RFC 5280's InhibitAnyPolicy. Review-Url: https://codereview.chromium.org/2870323002 Cr-Commit-Position: refs/heads/master@{#473053} Committed: https://chromium.googlesource.com/chromium/src/+/d312c06c18b14864b3a9e1ccb7d6b2928586c59d

Patch Set 1 #

Patch Set 2 : fix comment #

Total comments: 2

Patch Set 3 : rebase #

Patch Set 4 : Address mattm's comments (move to certificate_policies) #

Total comments: 2

Patch Set 5 : rename out --> num_certs #

Patch Set 6 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+74 lines, -0 lines) Patch
M net/BUILD.gn View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M net/cert/internal/certificate_policies.h View 1 2 3 4 2 chunks +12 lines, -0 lines 0 comments Download
M net/cert/internal/certificate_policies.cc View 1 2 3 4 2 chunks +30 lines, -0 lines 0 comments Download
M net/cert/internal/certificate_policies_unittest.cc View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M net/cert/internal/parsed_certificate_unittest.cc View 1 2 3 4 5 1 chunk +14 lines, -0 lines 0 comments Download
A net/data/parse_certificate_unittest/inhibit_any_policy.pem View 1 chunk +14 lines, -0 lines 0 comments Download
Trybot results:  mac_chromium_rel_ng   linux_chromium_rel_ng   ios-simulator   win_chromium_x64_rel_ng   win_clang   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   ios-simulator-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   ios-device   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_chromium_rel_ng   chromium_presubmit   linux_android_rel_ng   linux_chromium_rel_ng   ios-simulator   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   linux_android_rel_ng   win_chromium_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   android_clang_dbg_recipe   android_n5x_swarming_rel   cast_shell_android   android_compile_dbg   android_cronet 
Commit queue not available (can’t edit this change).

Messages

Total messages: 42 (25 generated)
eroman
1 month, 2 weeks ago (2017-05-10 01:38:22 UTC) #5
mattm
lgtm w/optional suggestion https://codereview.chromium.org/2870323002/diff/20001/net/cert/internal/parse_certificate.h File net/cert/internal/parse_certificate.h (right): https://codereview.chromium.org/2870323002/diff/20001/net/cert/internal/parse_certificate.h#newcode483 net/cert/internal/parse_certificate.h:483: NET_EXPORT bool ParseInhibitAnyPolicy(const der::Input& inhibit_any_policy_tlv, same ...
1 month, 2 weeks ago (2017-05-10 20:11:32 UTC) #9
eroman
https://codereview.chromium.org/2870323002/diff/20001/net/cert/internal/parse_certificate.h File net/cert/internal/parse_certificate.h (right): https://codereview.chromium.org/2870323002/diff/20001/net/cert/internal/parse_certificate.h#newcode483 net/cert/internal/parse_certificate.h:483: NET_EXPORT bool ParseInhibitAnyPolicy(const der::Input& inhibit_any_policy_tlv, On 2017/05/10 20:11:31, mattm ...
1 month, 1 week ago (2017-05-15 22:44:05 UTC) #10
mattm
lgtm https://codereview.chromium.org/2870323002/diff/60001/net/cert/internal/certificate_policies.h File net/cert/internal/certificate_policies.h (right): https://codereview.chromium.org/2870323002/diff/60001/net/cert/internal/certificate_policies.h#newcode61 net/cert/internal/certificate_policies.h:61: uint8_t* out) WARN_UNUSED_RESULT; nit: could use a more ...
1 month, 1 week ago (2017-05-15 23:40:58 UTC) #11
eroman
https://codereview.chromium.org/2870323002/diff/60001/net/cert/internal/certificate_policies.h File net/cert/internal/certificate_policies.h (right): https://codereview.chromium.org/2870323002/diff/60001/net/cert/internal/certificate_policies.h#newcode61 net/cert/internal/certificate_policies.h:61: uint8_t* out) WARN_UNUSED_RESULT; On 2017/05/15 23:40:58, mattm wrote: > ...
1 month, 1 week ago (2017-05-15 23:43:49 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2870323002/80001
1 month, 1 week ago (2017-05-16 01:41:35 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/427437)
1 month, 1 week ago (2017-05-16 02:09:25 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2870323002/80001
1 month, 1 week ago (2017-05-16 20:46:28 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/427755)
1 month, 1 week ago (2017-05-16 22:09:07 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2870323002/100001
1 month, 1 week ago (2017-05-17 00:42:19 UTC) #27
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/446747)
1 month, 1 week ago (2017-05-17 06:38:22 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2870323002/100001
1 month, 1 week ago (2017-05-17 17:40:20 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/447552)
1 month, 1 week ago (2017-05-17 23:08:25 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2870323002/100001
1 month, 1 week ago (2017-05-17 23:27:46 UTC) #35
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/447933)
1 month ago (2017-05-18 02:38:57 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2870323002/100001
1 month ago (2017-05-18 21:38:06 UTC) #39
commit-bot: I haz the power
1 month ago (2017-05-19 03:06:51 UTC) #42
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/d312c06c18b14864b3a9e1ccb7d6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318